*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/* style.css */

/* Reset some default styles */
body,
h1,
h2,
h3,
p,
ul,
li {
  margin: 0;
  padding: 0;
}

body {
  font-family: Arial, sans-serif;
}

/* Header */
.header {
  background-color: #360A14;
  color: #fff;
  padding: 1rem;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
  color: #fff;
  text-decoration: none;
}

.nav-links {
  list-style-type: none;
  display: flex;
}

.nav-links li {
  margin-left: 1rem;
}

.nav-links a {
  color: #fff;
  text-decoration: none;
}

.nav-links .active {
  color: #ff8a00;
}

.hero {
  margin-top: 2rem;
  text-align: center;
}

.hero-title {
  font-size: 3rem;
  margin-bottom: 1rem;
}

.hero-subtitle {
  font-size: 1.5rem;
  margin-bottom: 2rem;
}

.hero-button {
  display: inline-block;
  background-color: #BB7A8A;
  color: #fff;
  padding: 1rem 2rem;
  font-size: 1.2rem;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out;
}

.navbar{
  background-color: #360A14;
  padding: 1rem;
}

.hero-button:hover {
  background-color: #6F4E57;
  color: ghostwhite;
}

/* Main Content */
.main-content {
  padding: 2rem;
}

.section-title {
  font-size: 2rem;
  margin-bottom: 1rem;
}

.product-list {
  display: flex;
  gap: 2rem;
}

.product-card {
  padding: 1rem;
  background-color: #f5f5f5;
  text-align: center;
  min-width: 100%;
  min-height: 100%;
}

.showproduct-image {
  width: 100%;
  max-height: 200px;
  object-fit: contain;
  margin-bottom: 1rem;
}

.product-title {
  font-size: 1.2rem;
  margin-bottom: 0.5rem;
}

.product-price {
  font-size: 1.1rem;
  color: #ff8a00;
  margin-bottom: 1rem;
}

.product-button {
  display: inline-block;
  background-color: #BB7A8A;
  color: #fff;
  padding: 0.5rem 1rem;
  font-size: 1rem;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out;
}

.product-button:hover {
  background-color: #f57c00;
}

.newsletter {
  margin-top: 2rem;
}

.newsletter-text {
  font-size: 1.2rem;
  margin-bottom: 1rem;
}

.newsletter-form {
  display: flex;
  min-width: 100%;
}

.newsletter-input {
  min-width: 100%;
  padding: 0.5rem;
  font-size: 1rem;
}

.newsletter-button {
  background-color: #BB7A8A;
  color: #fff;
  min-width: 100%;
  padding: 0.5rem 1rem;
  font-size: 1rem;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out;
}


/* ProductCard.css */
.cardButton{
  background-color: #BB7A8A;
}

.cardHighlight {
  background-color: #f8f8f8;
  border: 1px solid #ddd;
}

.cardHighlight .card-header {
  background-color: #e0e0e0;
  color: #333;
}

.cardHighlight .card-body {
  padding: 20px;
}

.cardHighlight .card-title {
  font-weight: bold;
  margin-bottom: 10px;
}

.cardHighlight .card-subtitle {
  font-weight: bold;
  margin-top: 10px;
}

.cardHighlight .card-text {
  margin-bottom: 10px;
}

.cardHighlight .btn {
  background-color: #BB7A8A;
  color: #fff;
  margin-top: 10px;
}

/*  custom styles for ProductView component */
.productViewCard {
  background-color: #f8f9fa;
  border: none;
  border-radius: 10px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
}

.productViewCard .card-body {
  padding: 2rem;
}

.productViewCard .card-title {
  font-size: 2rem;
  font-weight: bold;
}

.productViewCard .card-subtitle {
  margin-top: 1rem;
  font-size: 1rem;
  font-weight: bold;
}

.productViewCard .card-text {
  margin-top: 0.5rem;
  font-size: 1rem;
}

.productViewCard .form-group {
  margin-top: 1.5rem;
}

.productViewCard .btn {
  margin-top: 1.5rem;
  width: 100%;
  max-width: 200px;
  background-color: #BB7A8A;
}

.viewproduct-image {
  width: 100%;
  max-height: 200px;
  object-fit: contain;
}


.tableHeaderStyle {
  padding: '8px';
  borderBottom: '1px solid #000';
  textAlign: 'left'
}

.tableRowStyle{
  borderBottom: '1px solid #ddd';
}

.tableCellStyle{
  padding: '8px'
}

.cartButton{
  background-color: #BB7A8A;
}

/*Styles for order page*/



.order-page-title {
  font-size: 28px;
  margin-bottom: 20px;
}

.order-list {
  list-style-type: none;
  padding: 0;
}

.order-item {
  margin-bottom: 20px;
  border: 1px solid #ddd;
  padding: 20px;
}

.order-id {
  font-size: 24px;
}

.user-id, .total-amount, .purchased-on {
  font-size: 16px;
  margin-top: 5px;
}

.products-title {
  font-size: 18px;
  margin-top: 10px;
  margin-bottom: 5px;
}

.products-ul {
  list-style-type: none;
  padding: 0;
}

.product-item {
  margin-top: 10px;
}

.product-name {
  font-size: 16px;
}

.quantity, .subtotal {
  font-size: 14px;
  margin-top: 5px;
}

.product-image {
  width: 100px;
  height: 100px;
  object-fit: cover;
  margin-top: 5px;
}
  
.no-orders-msg
{
font-size: 16px;
margin-top: 20px;
}

.editButton{
  background-color: #048A81;
}


/* CSS file for Orders component */

.Ordercontainer {
  margin: 2rem auto;
  max-width: 800px;
}

.Ordertitle {
  font-size: 2rem;
  margin-bottom: 1rem;
}

.Ordertable {
  width: 100%;
  border-collapse: collapse;
  text-align: left;
}

.Ordertable th,
.Ordertable td {
  padding: 0.5rem;
  border: 1px solid #ccc;
}

.Ordertable th {
  background-color: #f8f8f8;
}
